Subject: Re: [PATCH 0/2] mpc52xx: stop drivers from accessing clock config directly

From: Domen Puncer <[email-masked]>
Date: Thu, 25 Oct 2007 14:29:12 +0200

On 24/10/07 14:14 -0600, Grant Likely wrote:
> On 10/24/07, Domen Puncer <[email-masked]> wrote:
> > On 24/10/07 12:24 -0600, Grant Likely wrote:
> > > Domen,
> > >
> > > Here's a real solution to the problem.  I've somewhat tested this on
> > > the lite5200b.  Can you give it a spin on efika and see if SPI still
> > > works for you?
> >
> > My test case was lite5200b too, I don't think I ever tried SPI on
> > efika.
> > (Are even the right pins on irda connector, or is a necessary line
> > missing?)
> 
> Hmm, I guess that's right.  Can you at least make sure it still boots
> on Efika?  Some of the clock detection stuff has changed so I want to
> make sure it still boots.

OK, with the following patch it compiles and boots.
I don't have any psc configured as spi in device tree though.

---
 arch/powerpc/platforms/52xx/efika.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux.git/arch/powerpc/platforms/52xx/efika.c
===================================================================
--- linux.git.orig/arch/powerpc/platforms/52xx/efika.c
+++ linux.git/arch/powerpc/platforms/52xx/efika.c
@@ -180,7 +180,7 @@ static void __init efika_setup_arch(void
 {
 	rtas_initialize();
 
-	mpc52xx_setup_clocks();
+	mpc5200_setup_clocks();
 
 	efika_pcisetup();